
#include <qapplication.h>

#include <qdialog.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include "camera_def.h"


class SettingsBox : public QDialog
{
  Q_OBJECT
public:
   SettingsBox(QWidget *parent=0,
               CameraApplicationClass *theCameraApplication=NULL);

private:   
   CameraApplicationClass *cameraApplication;
   QLineEdit * actualDirectory;
   QLineEdit * prefix;
   QLineEdit * device;
   
   QCheckBox * setEveryTime;
   QComboBox * speeds;
   
   QPushButton *SelectButton;
   QPushButton *DetectButton;
   

public slots:
   void selectDirectory();
   void OkPressed();
   void AutodetectPressed();

}; // class SettingsBox
